# RSS Feeds

**RSS Feed Shortcode**

Use the following shortcode structure to integrate RSS feeds into your pages:

```
[rss_feed
    feed_url="http://example.com/feed"
    n_items="10"
    read_more_text="Read more"
    read_more_url="http://example.com/"
    read_more_url_text="View more articles"
]
```

***

**Shortcode Attributes**

The table below outlines each attribute available in the shortcode and its purpose:

<table><thead><tr><th width="199">Attribute</th><th width="230">Description</th><th width="137">Example Value</th><th width="150">Default Value</th></tr></thead><tbody><tr><td>feed_url</td><td>The URL of the RSS feed to display. </td><td>http://example.com/feed</td><td>None (required)</td></tr><tr><td>n_items</td><td>The number of feed items to display.</td><td>10</td><td>5</td></tr><tr><td>read_more_text</td><td>The text displayed for the "Read more" link under each RSS item.</td><td>Continue reading</td><td>Read more</td></tr><tr><td>read_more_url</td><td>A link to the external page for additional articles (usually the main feed source).</td><td>http://example.com/blog/</td><td>None</td></tr><tr><td>read_more_url_text</td><td>The text displayed for the external link to view more articles.</td><td>View more articles on XYZ Blog</td><td>View more</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wavecast.io/publishing/shortcodes/rss-feeds.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
